summaryrefslogtreecommitdiffstats
path: root/source/l/PyQt/PyQt.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/PyQt/PyQt.SlackBuild')
-rwxr-xr-xsource/l/PyQt/PyQt.SlackBuild51
1 files changed, 41 insertions, 10 deletions
diff --git a/source/l/PyQt/PyQt.SlackBuild b/source/l/PyQt/PyQt.SlackBuild
index 16e955621..7ca9a037e 100755
--- a/source/l/PyQt/PyQt.SlackBuild
+++ b/source/l/PyQt/PyQt.SlackBuild
@@ -1,9 +1,9 @@
-#!/bin/sh
+#!/bin/bash
# Slackware build script for PyQt
# Copyright 2008 Aleksandar Samardzic <asamardzic@gmail.com>
-# Copyright 2008, 2009, 2010, 2011 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2011, 2017, 2018 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -26,11 +26,11 @@
# Modified by Robby Workman <rworkman@slackware.com>
# Modified by Eric Hameleers <alien@slackware.com>
-PKGNAM=PyQt
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+cd $(dirname $0) ; CWD=$(pwd)
-NUMJOBS=${NUMJOBS:--j7}
+PKGNAM=PyQt
+VERSION=${VERSION:-$(echo ${PKGNAM}4_gpl_x11-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
MARCH=$( uname -m )
@@ -44,7 +44,16 @@ if [ -z "$ARCH" ]; then
esac
fi
-CWD=$(pwd)
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$(echo $VERSION |tr - _)-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
+NUMJOBS=${NUMJOBS:-" -j7 "}
+
TMP=${TMP:-/tmp}
PKG=$TMP/package-$PKGNAM
@@ -60,12 +69,15 @@ else
SLKCFLAGS="-O2"
fi
+PYTHONLIB=$( python -c 'from distutils.sysconfig import get_python_lib; print(get_python_lib())' )
+PYTHON3LIB=$( python3 -c 'from distutils.sysconfig import get_python_lib; print(get_python_lib())' )
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
-rm -rf $PKGNAM-x11-gpl-$VERSION
-tar xvf $CWD/$PKGNAM-x11-gpl-$VERSION.tar.?z* || exit 1
-cd $PKGNAM-x11-gpl-$VERSION || exit 1
+rm -rf ${PKGNAM}4_gpl_x11-$VERSION
+tar xvf $CWD/${PKGNAM}4_gpl_x11-$VERSION.tar.xz || exit 1
+cd ${PKGNAM}4_gpl_x11-$VERSION || exit 1
# Fix phonon detection:
zcat $CWD/$PKGNAM.phonon.diff.gz | patch -p1 --verbose || exit 1
@@ -83,14 +95,33 @@ export QTDIR=/usr/lib${LIBDIRSUFFIX}/qt
export CFLAGS="$SLKCFLAGS"
export CXXFLAGS="$SLKCFLAGS"
+python3 configure.py --confirm-license --verbose
+
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG INSTALL_ROOT=$PKG || exit 1
+
+mv $PKG/usr/bin/pyuic4 $PKG/usr/bin/pyuic4-py3
+
+make clean
+
python configure.py --confirm-license --verbose
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG INSTALL_ROOT=$PKG || exit 1
+rm -rf $PKG/$PYTHON3LIB/PyQt4/uic/port_v2/
+rm -rf $PKG/$PYTHONLIB/PyQt4/uic/port_v3/
+
find $PKG | xargs file | grep -e "executable" -e "shared object" \
| grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+# Remove rpaths:
+for file in $(find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF | cut -f 1 -d : 2> /dev/null) ; do
+ if [ ! "$(patchelf --print-rpath $file 2> /dev/null)" = "" ]; then
+ patchelf --remove-rpath $file
+ fi
+done
+
mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
cp -a \
GPL_EXCEPTION*.TXT LICENSE.* NEWS OPENSOURCE-NOTICE.TXT README THANKS doc/* \